---
schema_version: "1"
id: 4805020afc3dcc4454b22b483b652391556810b6bb8a168f634051fc7bfceb08
title: Create Product Objects
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries/cme/guides/comms-t-create-product-objects.md
canonical_url: https://developer.salesforce.com/docs/industries/cme/guide/comms-t-create-product-objects.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 4e0fcfe0caba486817e5c4755eb1ffebbb23d0d1357254f375525ba81eb1b438
products:
  - Communications, Media, Energy and Utilities APIs (Managed Package)
  - Industries Developer Documentation
---
# Create Product Objects

Create products in Vlocity Product Console by specifying them in the request body.

```nolang
POST /v2/epc/products
```

## Remote Method

```nolang
createProduct2
```

## REST Handler

```nolang
APIProductRestHandler
```

## Apex Remote Service

```nolang
PCAppHandler
```

## Package

Communication (vlocity_cmt)

## API Parameters and Response Format

For API parameter names and descriptions, see the [Swagger (OpenAPI) reference documentation for Industries EPC REST APIs](https://developer.salesforce.com/docs/industries/cme/references/epc?meta=Summary).

## Resource Information

| Response Format | JSON                                             |
| --------------- | ------------------------------------------------ |
| Resource URL    | `/services/apexrest/{namespace}/v2/epc/products` |


## Example Request

```nolang
POST
{
  "epcRequest": {
    "entity": {
      "vlocity_cmt__LifecycleStatus__c": "Draft",
      "Name": "Product-0004",
      "ProductCode": "Product-0004",
      "Description": "Product-0004",
      "vlocity_cmt__SpecificationType__c": "Offer",
      "vlocity_cmt__SpecificationSubType__c": "Bundle",
      "vlocity_cmt__Status__c": "Draft",
      "vlocity_cmt__IsOrderable__c": true,
      "vlocity_cmt__VersionLabel__c": "Version-1",
      "IsActive": true,
      "vlocity_cmt__EndOfLifeDate__c": 1769797800000
    }
  }
}
```

## Example Result

```
{
    "epcResponse": {
        "entities": [
            {
                "entity": {
                    "attributes": {
                        "type": "Product2",
                        "url": "/services/data/v52.0/sobjects/Product2/01t3h000001gyCFAAY"
                    },
                    "vlocity_cmt__VersionLabel__c": "Version-1",
                    "Name": "Product-0004",
                    "ProductCode": "Product-0004",
                    "vlocity_cmt__SpecificationType__c": "Offer",
                    "vlocity_cmt__SpecificationSubType__c": "Bundle",
                    "vlocity_cmt__LifecycleStatus__c": "Draft",
                    "vlocity_cmt__GlobalGroupKey__c": "a4096cc5-8bbb-cfd5-7b93-869a7c2b4caf",
                    "RecordTypeId": "0123h000000slEnAAI",
                    "Id": "01t3h000001gyCFAAY",
                    "RecordType": {
                        "attributes": {
                            "type": "RecordType",
                            "url": "/services/data/v52.0/sobjects/RecordType/0123h000000slEnAAI"
                        },
                        "Id": "0123h000000slEnAAI",
                        "Name": "Product"
                    }
                }
            }
        ],
        "overallResult": "success"
    }
}

```

